phat(1)

NAME

phat - persistent homology utility from the PHAT library

SYNOPSIS

phat [general options] [datastructure options] [algorithm options] input_filename output_filename

GENERAL OPTIONS

--help
    Show help message and quit

--ascii
    Use ASCII file format

--binary
    Use binary file format

--dualize
    Use dualization approach

DATASTRUCTURE OPTIONS

Use one of the following to select the datastructure:

--vector_vector, --vector_heap, --vector_set, --vector_list, --full_pivot_column, --sparse_pivot_column, --heap_pivot_column, --bit_tree_pivot_column

ALGORITHM OPTIONS

Use one of the following to select the algorithm:

--standard, --twist, --chunk, --chunk_sequential, --spectral_sequence, --row, --swap, --exhaustive, --retrospective

ARGUMENTS

input_filename
    Input boundary matrix file

output_filename
    Output file for persistence diagram.RE